Name:           multiblend
Version:        2.0
Release:        0.2%{?dist}
Summary:        A multilevel image blender for the seamless blending of panoramic images
# SSE isn't available for ARM etc..
ExclusiveArch:  x86_64

License:        GPLv3+
URL:            http://horman.net/multiblend/
Source:         http://horman.net/multiblend/multiblend2.0rc3.tar.gz

BuildRequires:  libtiff-devel libjpeg-devel libpng-devel
BuildRequires:  gcc-c++

%description
Multiblend is a multilevel image blender for the seamless blending of
panoramic images, such as those created with Hugin. It is a significantly
faster drop-in alternative to Enblend, although it lacks Enblend's advanced
features. 

%prep
%setup -q -n %{name}
%{__chmod} -x *.txt src/*.cpp src/*.h


%build
cd src
%{__cxx} %{optflags} -msse4.1 -pthread -ffast-math -Ofast multiblend.cpp -lm -lpng -ltiff -ljpeg -o %{name}


%install
cd src
%{__install} -D -m0755 %{name} %{buildroot}/%{_bindir}/%{name}


%files
%defattr(-, root, root,-)
%{_bindir}/%{name}

%doc build.txt gpl-3.0.txt


%changelog
* Mon Dec 30 2024 Bruno Postle <bruno@postle.net> - 2.0-0.2
- set ExclusiveArch: x86_64

* Sun Apr 04 2021 Bruno Postle <bruno@postle.net> - 2.0-0.1
- upstream rc3

* Tue Mar 16 2021 Bruno Postle <bruno@postle.net> - 2.0-0.0
- upstream release candidate

* Sun Jan 27 2019 Bruno Postle <bruno@postle.net> - 0.62-2
- requires gcc-c++

* Thu Jan 22 2015 Bruno Postle 0.62-1
- upstream 0.6.2 release
- fix to ignore some enblend options possibly used by default by Hugin

* Sun Dec 15 2013 Bruno Postle 0.61-1
- upstream release

* Tue Nov 13 2012 Bruno Postle 0.50-1
- new version of 0.5 from website

* Sun Nov 11 2012 Bruno Postle 0.50-0.1.20121111
- initial package of 0.5

* Wed May 09 2012 Bruno Postle 0.40-0.1.20120509
- initial package of 0.4

* Tue Mar 27 2012 Bruno Postle 0.31-0.1.20120327
- initial package of 0.31beta

